Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 192819
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Gentoo's Team for Core System packages <base-system@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Natanael Copa <natanael.copa@gmail.com>
Add CC:
CC:
Remove selected CCs
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
dpkg-1.13.25-nonls.patch files/dpkg-1.13.25-nonls.patch patch Natanael Copa 2007-09-17 14:17 0000 449 bytes Details | Diff
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 192819 depends on: Show dependency tree
Bug 192819 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2007-09-17 14:13 0000
dpkg fails to emerge on uclibc due to the dependency of app-text/po4a. This is
only needed tor the translated manpages. To give support for uclibc I suggest
to add a nls useflag:

--- /usr/portage/app-arch/dpkg/dpkg-1.13.25.ebuild      2007-09-11 14:05:35
+0000
+++ dpkg-1.13.25.ebuild 2007-09-17 14:08:43 +0000
@@ -11,17 +11,23 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="alpha ~amd64 arm ~hppa ia64 m68k ~ppc s390 sh sparc x86"
-IUSE="bzip2 selinux zlib"
+IUSE="bzip2 nls selinux zlib"

 RDEPEND=">=dev-lang/perl-5.6.0
        >=sys-libs/ncurses-5.2-r7
        zlib? ( >=sys-libs/zlib-1.1.4 )
        bzip2? ( app-arch/bzip2 )"
 DEPEND="${RDEPEND}
-       app-text/po4a"
+       nls? ( app-text/po4a )"
+
+src_unpack() {
+       unpack "${A}"
+       use nls || epatch "${FILESDIR}"/${P}-nonls.patch || die
+}

 src_compile() {
        econf \
+               $(use_enable nls) \
                $(use_with bzip2 bz2lib) \
                $(use_with selinux) \
                $(use_with zlib) \

------- Comment #1 From Natanael Copa 2007-09-17 14:17:27 0000 -------
Created an attachment (id=131157) [details]
files/dpkg-1.13.25-nonls.patch

Its technically wrong to patch Makefile.in. Correct way to do this would be to
patch Makefile.am and configure.ac. The problem in this situation is that
auto(re)conf needs geth gettext m4 files so that will only the move the problem
and not solve it.

Thats why the patch modified Makefile.in.

A "correct" patch is sent to the email address display on $HOMEPAGE

------- Comment #2 From SpanKY 2007-12-24 11:39:02 0000 -------
should be fixed in 1.14.12

------- Comment #3 From SpanKY 2007-12-24 13:14:13 0000 -------
*** Bug 203203 has been marked as a duplicate of this bug. ***

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug